Subject: OMAP display kconfig options changing

From: [email-masked] (Tony Lindgren)
Date: Thu, 21 Jan 2016 13:51:17 -0800

* Javier Martinez Canillas <[email-masked]> [151229 04:14]:
> On Tue, Dec 29, 2015 at 7:23 AM, Tomi Valkeinen <[email-masked]> wrote:
> >> In that case I think you should squash the defconfig changes with
> >> commit ("70ba4e05531f omapfb/displays: change CONFIG_DISPLAY_* to
> >> CONFIG_FB_OMAP2_*") to maintain bisectability.
> >
> > Here's the diff to change the defconfig to enable the same items as before:
> >
> > diff --git a/arch/arm/configs/omap2plus_defconfig
> > b/arch/arm/configs/omap2plus_defconfig
> > index c5e1943e5427..b9581f1f0536 100644
> > --- a/arch/arm/configs/omap2plus_defconfig
> > +++ b/arch/arm/configs/omap2plus_defconfig
> > @@ -290,24 +290,23 @@ CONFIG_FB=y
> >  CONFIG_FIRMWARE_EDID=y
> >  CONFIG_FB_MODE_HELPERS=y
> >  CONFIG_FB_TILEBLITTING=y
> > -CONFIG_OMAP2_DSS=m
> > -CONFIG_OMAP5_DSS_HDMI=y
> > -CONFIG_OMAP2_DSS_SDI=y
> > -CONFIG_OMAP2_DSS_DSI=y
> > +CONFIG_FB_OMAP5_DSS_HDMI=y
> > +CONFIG_FB_OMAP2_DSS_SDI=y
> > +CONFIG_FB_OMAP2_DSS_DSI=y
> >  CONFIG_FB_OMAP2=m
> > -CONFIG_DISPLAY_ENCODER_TFP410=m
> > -CONFIG_DISPLAY_ENCODER_TPD12S015=m
> > -CONFIG_DISPLAY_CONNECTOR_DVI=m
> > -CONFIG_DISPLAY_CONNECTOR_HDMI=m
> > -CONFIG_DISPLAY_CONNECTOR_ANALOG_TV=m
> > -CONFIG_DISPLAY_PANEL_DPI=m
> > -CONFIG_DISPLAY_PANEL_DSI_CM=m
> > -CONFIG_DISPLAY_PANEL_SONY_ACX565AKM=m
> > -CONFIG_DISPLAY_PANEL_LGPHILIPS_LB035Q02=m
> > -CONFIG_DISPLAY_PANEL_SHARP_LS037V7DW01=m
> > -CONFIG_DISPLAY_PANEL_TPO_TD028TTEC1=m
> > -CONFIG_DISPLAY_PANEL_TPO_TD043MTEA1=m
> > -CONFIG_DISPLAY_PANEL_NEC_NL8048HL11=m
> > +CONFIG_FB_OMAP2_ENCODER_TFP410=m
> > +CONFIG_FB_OMAP2_ENCODER_TPD12S015=m
> > +CONFIG_FB_OMAP2_CONNECTOR_DVI=m
> > +CONFIG_FB_OMAP2_CONNECTOR_HDMI=m
> > +CONFIG_FB_OMAP2_CONNECTOR_ANALOG_TV=m
> > +CONFIG_FB_OMAP2_PANEL_DPI=m
> > +CONFIG_FB_OMAP2_PANEL_DSI_CM=m
> > +CONFIG_FB_OMAP2_PANEL_SONY_ACX565AKM=m
> > +CONFIG_FB_OMAP2_PANEL_LGPHILIPS_LB035Q02=m
> > +CONFIG_FB_OMAP2_PANEL_SHARP_LS037V7DW01=m
> > +CONFIG_FB_OMAP2_PANEL_TPO_TD028TTEC1=m
> > +CONFIG_FB_OMAP2_PANEL_TPO_TD043MTEA1=m
> > +CONFIG_FB_OMAP2_PANEL_NEC_NL8048HL11=m
> >  CONFIG_BACKLIGHT_LCD_SUPPORT=y
> >  CONFIG_LCD_CLASS_DEVICE=y
> >  CONFIG_LCD_PLATFORM=y
> >
> 
> Cool, that's what I changed to test omapfb as well. I can't test your
> diff right now but looks correct to me.

Sorry Tomi, I only now noticed this. Yes please feel free to queue
with your other patches (or as a fix):

Acked-by: Tony Lindgren <[email-masked]>